#ifndef __window_h
# define __window_h
/* FIXME: include these in specific .cpp files */
# include <QApplication>
# include <QMainWindow>
# include <QToolBar>
# include <QMenuBar>
# include <QWidget>
# include <QTreeView>
# include <QMessageBox>
# include <QDesktopServices>
# include <QUrl>
# include <QInputDialog>
# include <QDate>
# include <QHeaderView>
# include <QShortcut>
# include <QFile>
# include <QTextStream>
# include <QCloseEvent>
# include <QPlainTextEdit>
# include <QLabel>
# include <QHBoxLayout>
# include <QTextStream>
# include "config.h"
//# include "statistics.h"
//# include "now_playing.h"

class MainWindow : public QMainWindow {
	public:
		MainWindow(QWidget* parent = nullptr);
		void SetActivePage(QWidget* page);
		void SetStyleSheet(enum Themes theme);
		void ThemeChanged();
		void closeEvent(QCloseEvent* event);

	private:
		QWidget* anime_list_page;
};

struct Session {
	Config config;
};

extern Session session;
#endif // __window_h
